Semi Integrated Transactions

Create Token-Only Transaction

post

Collect card data and generate a payment token for future use without authorizing or capturing funds.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions/token-only

Create Sale Transaction

post

Create a sale transaction to authorize and capture a payment in a single step.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions/sale

Create Refund Transaction

post

Create a refund transaction for a previously completed payment.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions/refund

Create Forced Sale Transaction

post

Create a forced sale transaction using an existing authorization code without requesting a new authorization.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions/forced-sale

Authorize Terminal Transaction

post

Create an authorization transaction on a payment terminal to validate available funds.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions/auth

Create Terminal Transaction

post

Create and process a semi-integrated payment transaction initiated from a payment terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body
amountstring · enumRequired

Total transaction amount.

Example: 80.0Possible values:
typestring · enumRequired

Transaction type to process. For example, SALE, AUTH, REFUND.

Example: SALEPossible values:
cardstringOptional

Card number or payment token.

Example: 4111111111111111
idstring · enumOptional

Transaction identifier from a previous sale or authorization.

Possible values:
cscstringOptional

Card security code.

Example: 999
invoicestringOptional

Merchant-defined invoice number.

Example: invoice123
descriptionstring · enumOptional

Description of the transaction.

Example: Transaction descPossible values:
commentsstring · enumOptional

Additional notes for the transaction.

Example: Bad tipper .90 on 80.00 transactionPossible values:
cvmstring · enumOptional

Cardholder verification method.

Example: NON (None)Possible values:
exp-datestringOptional

Card expiration date in MMyy format.

Example: 0932
track2-datastringOptional

Clear-text Track 2 data.

Example: text
encrypted-track-datastringOptional

Encrypted track data; requires track-format.

Example: text
track-formatstring · enumOptional

Format of encrypted track data.

Possible values:
tip-amountstring · enumOptional

Tip amount applied to the transaction.

Example: 0.9Possible values:
authorization-codestring · enumOptional

Authorization code for a forced sale obtained from an external processor.

Example: AC789UPossible values:
purchase-orderstring · enumOptional

Merchant-defined purchase order number.

Example: PO789Possible values:
email-receiptstringOptional

Indicates whether to send an email receipt to the customer.

Example: false
email-addressstring · enumOptional

The customer's email address.

Example: [email protected]Possible values:
customer-idstring · enumOptional

Merchant-defined customer identifier.

Example: Customer 1234Possible values:
order-idstring · enumOptional

Merchant-defined order identifier.

Example: 99988dPossible values:
client-ipstring · enumOptional

IP address where the request originated.

Example: 127.0.0.1Possible values:
billing-is-shippingstringOptional

Indicates whether billing and shipping addresses match.

Example: false
create-tokenstringOptional

Creates a payment token during the transaction.

Example: false
merchant-legacy-tokenstringOptional

Indicates use of a legacy payment token.

Example: false
token-descriptionstring · enumOptional

Description for the created token.

Example: textPossible values:
card-typestring · enumOptional

Card brand when creating a token.

Example: VISAPossible values:
emv-datastringOptional

EMV transaction data payload.

Example: text
key-serial-numberstringOptional

Key serial number for EMV encryption.

Example: text
emv-entry-methodstring · enumOptional

Method used to capture EMV data.

Example: EMV_DIPPossible values:
software-typestring · enumOptional

Identifies the integrating application.

Example: MySoftware_Version1.3Possible values:
software-type-versionstringOptional

Version of the integrating application.

Example: text
pin-datastringOptional

Encrypted PIN data for PIN-based transactions.

Example: text
contactlessstringOptional

Indicates contactless usage (full EMV only).

Example: false
contactless-devicestringOptional

Indicates contactless device usage (full EMV only).

Example: false
sales-tax-amountstring · enumOptional

Sales tax amount applied to the transaction.

Example: 90.0Possible values:
sales-tax-typestring · enumOptional

Sales tax classification.

Example: LOCAL_SALES_TAXPossible values:
check-fieldstring · enumOptional

Field used for duplicate transaction checks.

Example: invoicePossible values:
service-feestring · enumOptional

Service fee applied to the transaction.

Example: 2.9Possible values:
check-field-midbooleanOptional

Enables merchant-level duplicate validation for EMV.

Example: true
is-amexbooleanOptional

Indicates whether the card is American Express.

Example: false
is-sp30booleanOptional

Indicates whether the transaction is processed on an SP30 terminal.

Example: false
card-inquirybooleanOptional

Validates the card before token storage.

Example: true
partial-authorizationbooleanOptional

Allows partial approval when full amount is unavailable.

Example: false
add-tax-to-amountbooleanOptional

The sales-tax-amount with respect to the total amount used for authorization and capture.

Example: false
Responses
chevron-right
200

Successful Sale Transaction

Contains all details related to the authorized transaction.

amountstringOptional

Total value associated with the transaction.

currencystringOptional

Currency used for the transaction.

idstringOptional

Unique transaction ID.

Example: 123456
invoicestringOptional

Invoice number associated with the transaction.

Example: Test56
descriptionstringOptional

Description of the transaction.

Example: transaction description
commentsstringOptional

Comments associated with the transaction.

Example: These are my comments
serverIdstringOptionalDeprecated
createdstringOptional

Date and time when the transaction was created.

Example: 8/10/2017 12:12:12:00 UTC
typestring · enumOptional

Identifies the transaction type.

Example: SALEPossible values:
resultstring · enumOptional

Result of the transaction. For example, APPROVED.

Example: APPROVEDPossible values:
cardstringOptional

Card number used for the transaction.

cscstringOptional

Card Security Code used.

Example: 999
cvmstring · enumOptional

Cardholder Verification Method used.

Example: NONPossible values:
authorization-codestringOptional

Code indicating the transaction authorization.

Example: AE12368
avs-result-codestring · enumOptional

Result code from Address Verification Service.

Example: XPossible values:
avs-result-code-descriptionstringOptional

Description of the AVS result.

Example: All digits match (9-digit Zip Code)
csc-result-codestring · enumOptional

Result code from CSC verification.

Example: XPossible values:
csc-result-code-descriptionstringOptional

Description of the CSC result.

Example: Service provider did not respond
tip-adjusted-amountstringOptional

Amount of the adjusted tip.

Example: 1.0
avs-streetstringOptional

Street used in AVS check.

Example: Example Street
avs-zipstringOptional

ZIP code used in AVS check.

Example: 85284
token-descriptionstringOptional

Description of the token created.

original-amountstringOptional

Original amount before adjustments.

Example: 12.0
tip-amountstringOptional

Tip amount included in the transaction.

Example: 0.2
ref-idstringOptional

Reference ID for the transaction.

Example: 568972
entry-methodstringOptional

Method used to enter payment data of the transaction. For example, Swipe/Manual.

Example: EMV_DIP
first-recurring-transactionstringOptional

Indicates whether this is the first recurring transaction.

Example: false
batch-string-idstringOptional

Identifies the settlement batch ID.

Example: 000101
order-idstringOptional

Order id passed in with the transaction.

Example: order99
purchase-orderstringOptional

Purchase order number.

Example: purcahseOrder88
customer-idstringOptional

Customer id passed in with the transaction.

Example: 1234Customer
email-addressstringOptional

Email address associated with the transaction.

Example: [email protected]
display-messagestringOptional

Displayable message about transaction result.

Example: Transaction Approved
result-codestringOptional

Result code associated with transaction result.

Example: 000
billing-is-shippingstringOptional

Indicates if billing and shipping addresses are the same.

Example: true
tip-adjustedstringOptional

Indicates if the tip was adjusted.

Example: false
exp-datestringOptional

Expiration date of the card.

Example: 1232
client-ipstringOptional

IP address of the client initiating the transaction.

Example: 127.0.0.1
voidedstringOptional

Indicates if the transaction was voided.

Example: false
pendingstringOptional

Indicates if the transaction is pending.

Example: false
voided-authstringOptional

Indicates if the authorization was voided.

Example: false
settledstringOptional

Indicates if the transaction has been settled.

Example: false
statusstringOptional

Status of the transaction. For example, approved.

Example: approved
emv-datastringOptional

Raw EMV data string.

Example: 0099daje93993903
key-serial-numberstringOptional

Serial number of the encryption key used.

Example: 0099daje93993903
emv-entry-methodstring · enumOptional

Method used to enter EMV data.

Example: EMV_DIPPossible values:
software-typestringOptional

Type of software used for the transaction.

Example: MySoftware_Version1.3
customer-first-namestringOptional

First name of the customer.

Example: John
customer-last-namestringOptional

Last name of the customer.

Example: Doe
plan-namestringOptional

Name of the payment plan used.

Example: Plan 56
card-typestringOptional

Type of card used. For example, VISA.

Example: VISA
contactlessstringOptional

Indicates if contactless payment was used.

Example: false
contactless-devicestringOptional

Indicates if a contactless device was used.

Example: false
sales-tax-typestringOptional

Type of sales tax applied.

sales-tax-amountstringOptional

Amount of sales tax applied.

Example: 6.0
add-tax-to-amountbooleanOptional

Indicates if tax was added to the transaction amount.

Example: false
emv-data-responsestringOptional

Response data from EMV processing.

signature-base-64-imagestringOptional

Base64-encoded image of the signature.

last-fourstringOptional

Last four digits of the card number.

check-field-duplicatebooleanOptional

Indicates if a duplicate check was performed.

service-feestringOptional

Service fee applied to the transaction

base-amountstringOptional

Base amount before taxes and fees.

merchant-idstringOptional

Identifier for the merchant.

terminal-idstringOptional

Identifier for the terminal used.

surcharge-appliedbooleanOptional

Indicates if a surcharge was applied.

partial-authorizationbooleanOptional

Indicates if partial authorization was allowed.

Example: false
partial-approvedbooleanOptional

Indicates if the transaction was partially approved.

Example: false
secure3d-ecistringOptional

Electronic Commerce Indicator for 3D Secure.

secure3d-result-codestringOptional

Result code from 3D Secure authentication.

total-amountstringOptional

Total amount including all charges.

processing-party-referencestringOptional

Reference ID from the processing party.

original-processing-party-referencestringOptional

Reference of the original transaction assigned by the processing party.

external-transaction-referencestringOptional

External reference ID for the transaction.

funding-referencestringOptional

Reference for the funding transaction.

token-idstringOptional

Identifier of the payment token.

network-transaction-referencestringOptional

Reference ID from the payment network for the transaction.

create-tokenbooleanOptional

Indicates if a token should be created for the transaction.

motobooleanOptional

Indicates whether the transaction is MOTO.

issuer_idstringOptional

Identifier for the card issuer.

Example: 10
digital-wallet-typestringOptional

Type of digital wallet used. For example, GOOGLE.

Example: GOOGLE
post
/rest/v2/terminal/transactions

Last updated

Was this helpful?